/****************************************************************************\
*   CODEGUID - this header file is part of Binary vIEW project (BIEW)        *
*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*
*   Copyrights:           1995, 2000 Nick Kurshev                            *
*   License:              See below                                          *
*   Author and developer: Nick Kurshev                                       *
*   Requirement:          ANSI C compatible development system               *
*   Original file name:   codeguid.h                                         *
*---------------------- [ D e s c r i p t i o n ] ---------------------------*
*  This file contain prototypes code navigator.                              *
*-------------------------- [ L i c e n c e ] -------------------------------*
* The Binary vIEW (BIEW) is copyright (C) 1995 Nick Kurshev.                 *
* All rights reserved. This software is redistributable under the licence    *
* given in the file "Licence.en" ("Licence.ru" in russian translation)       *
* distributed in the BIEW archive.                                           *
\****************************************************************************/
/***********************************************************\
*  BIEW code guide utilities                                *
\***********************************************************/

#ifndef __CODEGUID__H
#define __CODEGUID__H

#ifdef __cplusplus
extern "C" {
#endif

extern void              GidResetGoAddress( int keycode );
extern void              GidAddGoAddress(char *str,unsigned long addr);
extern void              GidAddBackAddress( void );
extern unsigned long     GidGetGoAddress(unsigned keycode);
extern char *            GidEncodeAddress(unsigned long cfpos,int aresolv);

extern int               initCodeGuider( void );
extern void              termCodeGuider( void );

#ifdef __cplusplus
}
#endif

#endif

