/****************************************************************************\
*   MOUSE - this source file is part of Binary vIEW project (BIEW)           *
*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*
*   Copyrights:           1999-2000 Konstantin Boldyshev                     *
*   License:              See below                                          *
*   Author and developer: Konstantin Boldyshev                               *
*   Requirement:          ANSI C compatible development system               *
*   Original file name:   lib/sysdep/generic/linux/mouse.c                   *
*---------------------- [ D e s c r i p t i o n ] ---------------------------*
*  future mouse (gpm) support                                                *
*-------------------------- [ L i c e n c e ] -------------------------------*
* The Binary vIEW (BIEW) is copyright (C) 1995 Nick Kurshev.                 *
* All rights reserved. This software is redistributable under the licence    *
* given in the file "Licence.en" ("Licence.ru" in russian translation)       *
* distributed in the BIEW archive.                                           *
\****************************************************************************/
/*
#ifdef HAVE_MOUSE

#include <unistd.h>
#include <sys/time.h>
#include <gpm.h>

static int gpmhandle;
static Gpm_Event ge;

int __MsGetBtns(void)
{
    int ret = 0;
    if (gpmhandle & get(&ge) & (ge.type & GPM_DOWN)) {
	if (ge.buttons & GPM_B_LEFT)	ret |= MS_LEFTPRESS;
	if (ge.buttons & GPM_B_MIDDLE)	ret |= MS_MIDDLEPRESS;
	if (ge.buttons & GPM_B_RIGHT)	ret |= MS_RIGHTPRESS;
    }
    if (ret) printm("x: %d, y: %d, ret: %d\n", ge.x, ge.y, ret);
    return ret;
}


static int _get_ge(Gpm_Event *x)
{
    struct timeval t = { 0, 1000 };
    fd_set readfds;
    int i;

    FD_ZERO(&readfds);
    FD_SET(gpmhandle, &readfds);

    i = select(gpmhandle + 1, &readfds, NULL, NULL, &t);

    if (i) Gpm_GetEvent(x);
#define event x
    printm("mouse: %s, at %2i,%2i (delta %2i,%2i), butt %i, mod %02X\r\n",
	   event->type&GPM_DOWN ? "press  "
	   : (event->type&GPM_UP ? "release" : "motion "),
	   event->x, event->y,
	   event->dx, event->dy,
	   event->buttons, event->modifiers);
#undef event
    return i;
}
#define get(x) _get_ge((x))
#endif

void __term_mouse( void )
{
    if (gpmhandle) Gpm_Close();
}

int __init_mouse(void)
{
    int i = 0;

    if (on_console) {
	Gpm_Connect gc = { ~0, GPM_MOVE|GPM_HARD, 0, 0};
	gpmhandle = Gpm_Open(&gc, 0);
	if (gpmhandle >= 0) i = 2; else gpmhandle = 0;
    }

    return i;
}
*/
