/*
   Test of .ini file library.
   Written by Nick Kurshev 2000
   Use, distribute, and modify this program freely.
   This subset version is hereby donated to the public domain
*/

#include <file_ini.h>
#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>

extern void MyProc(IniInfo * info);
char **ArgVector;
unsigned ArgCount;

int main( int argc, char * argv[] )
{
  if(argc < 2)
  {
     printf("Too few\n\r");
     return EXIT_FAILURE;
  }
  FiProgress(argv[1],MyProc);
  return EXIT_SUCCESS;
}

void MyProc(IniInfo * info)
{
  printf("[ %s ] < %s > %s = %s\n"
         ,info->section
         ,info->subsection
         ,info->item
         ,info->value);
}
