/****************************************************************************\
*   TSTRINGS - this source file is part of Binary vIEW project (BIEW)        *
*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*
*   Copyrights:           1995, 2000 Nick Kurshev                            *
*   License:              See below                                          *
*   Author and developer: Nick Kurshev                                       *
*   Requirement:          ANSI C compatible development system               *
*   Original file name:   tstrings.c                                         *
*---------------------- [ D e s c r i p t i o n ] ---------------------------*
*  This file contain start of work for NLS support by BIEW.                  *
*-------------------------- [ L i c e n c e ] -------------------------------*
* The Binary vIEW (BIEW) is copyright (C) 1995 Nick Kurshev.                 *
* All rights reserved. This software is redistributable under the licence    *
* given in the file "Licence.en" ("Licence.ru" in russian translation)       *
* distributed in the BIEW archive.                                           *
\****************************************************************************/
#include "tstrings.h"

/*   English release for all messages */

char msgAboutText[] =
"          File viewer with built-in\n"
"   Pent-III/K7-Athlon/Cyrix-M2 disassembler\n"
"   Supports multiple executable structures\n"
"  Written by Nick Kurshev. Kazan. Tatarstan.\n"
"                    Russia.";

char * BiewPicture[] = {
 "       ",
 "                ",
 "              ",
 "              ",
 "        "
};

char * CompPicture[] = {
" ",
"              ",
"              ",
"              ",
"              ",
" ",
""
};

char *MBoardPicture[] =
{
"Ŀ",
"             ",
"           ",
"           ",
"           ",
"             ",
"ٳĿ"
};

char *ConnectorPicture[] =
{
"Ŀ",
"   ",
"   ",
"   ",
"   ",
"   ",
""
};

char *BitStreamPicture[] =
{
"01010101",
"10011100",
"00001110",
"01010000",
"11001111",
"11001100",
"10010000"
};

char *BiewerPicture[] =
{
"",
"             ",
"             ",
"             ",
"             ",
"             ",
""
};

char *BiewerScreenPicture[] =
{
"pushf        ",
"push    cs   ",
"push    ax   ",
"iret         ",
"int3         ",
};

char * CompScreenPicture[] = {
"0001001001100",
"1001000101011",
"0110001110000",
"1010010011111",
};

char * msgTypeComments[] =
{
 " Mode :",
 " [ ] - Put structures    ",
 "  Type of comments:      ",
 " ( ) - None              ",
 " ( ) - NASM (*.asm)      "
};

char * msgFindOpt[] =
{
 " [ ] - Match Case               ",
 " [ ] - Match Whole Word Only    ",
 " Scan                           "
};
